Download it now!
Bug 120490 - HiDPI child frames incorrectly positioned & scaled on change of screen resolution
Summary: HiDPI child frames incorrectly positioned & scaled on change of screen resolu...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HiDPI
  Show dependency treegraph
 
Reported: 2018-10-10 16:10 UTC by Ed
Modified: 2019-06-08 03:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Crop icons (102.42 KB, image/png)
2018-10-28 15:04 UTC, Ed
Details
Right panel distorted (54.24 KB, image/png)
2018-10-28 15:18 UTC, Ed
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ed 2018-10-10 16:10:42 UTC
Description:
Os: windows 10. latest update of libre office. laptop: samsung 4k screen. Issue: When in high resolution (4k) the crop images function should show small squares icons around image. Those iconsare shown distored and out of place when laptop is in 4K. When I switch resolution to 1680x1050 crop icons show normally.
Another bug: when switching resolutions (from 4k to 1680x1050) back and forth: Writer panels disapper or appear with huge sizes and out of place. Thank you

Actual Results:
Crop icons out of place.
Panels out of place

Expected Results:
Crop icons should be normal


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: no
Comment 1 Ed 2018-10-10 16:11:03 UTC
Os: windows 10. latest update of libre office. laptop: samsung 4k screen. Issue: When in high resolution (4k) the crop images function should show small squares icons around image. Those iconsare shown distored and out of place when laptop is in 4K. When I switch resolution to 1680x1050 crop icons show normally.
Another bug: when switching resolutions (from 4k to 1680x1050) back and forth: Writer panels disapper or appear with huge sizes and out of place. Thank you
Comment 2 V Stuart Foote 2018-10-10 19:17:36 UTC
One bug one issue please.

And a screen clip is helpful for these types of issues.

Otherwise, do you get better behavior if you change your icon style over to Sifr rather than Colibre?  Done from Tools -> Options -> View : User Interface "Icon style:" list box.
Comment 3 Regina Henschel 2018-10-26 13:07:20 UTC
The problem with anchor handle, rotate and resize handle and crop handle is known. See bug 117373 and bug 114700.

So please concentrate here on the problem "Another bug: when switching resolutions (from 4k to 1680x1050) back and forth: Writer panels disapper or appear with huge sizes and out of place."
Comment 4 Timur 2018-10-26 17:04:53 UTC
Ed, this bug is Needinfo. UNless you provide a response, it will be closed. 
Also please see bug 119020.
Comment 5 Ed 2018-10-28 15:04:09 UTC
Created attachment 146094 [details]
Crop icons
Comment 6 Ed 2018-10-28 15:05:41 UTC
This is related to issue 1.

I will concentrate on Issue2: 4K panels distortion. and will attach screencapture
Comment 7 Ed 2018-10-28 15:18:06 UTC
Created attachment 146098 [details]
Right panel distorted

Issue #2. Laptop was originally on 4K. Calc closed. Then changed laptop resolution to 1680x1050 (lower resolution than recommended) some other windows icons and features outside of calc are distoted. Then opened Calc and right panel is not complete
Comment 8 V Stuart Foote 2018-10-28 15:22:28 UTC
So question of STR, if once screen resolution is changed, does a refresh/redraw [1] bring all elements to correct scale? Or to correct position?

See the corrupt Sidebar deck in the Calc screen clip. But for original post the "Writer panels" -- which elements? Again a screen clip please...

=-ref-=

[1] accomplish with a change of page view mode, or a simple zoom in/out.
Comment 9 QA Administrators 2019-05-08 18:25:20 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-06-08 03:04:41 UTC
Dear Ed,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp